# Uses of Class
org.eclipse.jdt.core.dom.BooleanLiteral

Packages that use BooleanLiteral
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of BooleanLiteral in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return BooleanLiteral
Modifier and Type
Method
Description
`BooleanLiteral`
AST.`newBooleanLiteral(boolean value)`
Creates and returns a new unparented boolean literal node.
Methods in org.eclipse.jdt.core.dom with parameters of type BooleanLiteral
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(BooleanLiteral node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(BooleanLiteral node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(BooleanLiteral node)`
Visits the given type-specific AST node.